python2-pivy-0.6.4-2.1.i586.rpm


Advertisement

Description

python2-pivy - Coin Binding for Python

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename python2-pivy-0.6.4-2.1.i586.rpm
Package name python2-pivy
Package version 0.6.4
Package release 2.1
Package architecture i586
Package type rpm
Category Development/Libraries/Python
Homepage https://github.com/FreeCAD/pivy
License ISC AND GPL-2.0-or-later
Maintainer -
Download size 1.67 MB
Installed size 15.20 MB
Pivy is a Coin binding for Python. Coin is a high-level 3D graphics library
with a C++ Application Programming Interface. Coin uses scene-graph data
structures to render real-time graphics suitable for mostly all kinds of
scientific and engineering visualization applications.
Pivy allows:
- Development of Coin applications and extensions in Python
- Interactive modification of Coin programs from within the Python interpreter
at runtime
- Incorporation of Scripting Nodes into the scene graph which are capable of
executing Python code and callbacks

Alternatives

Package Version Architecture Repository
python2-pivy-0.6.4-15.4.x86_64.rpm 0.6.4 x86_64 Science
python2-pivy-0.6.4-15.4.i586.rpm 0.6.4 i586 Science
python2-pivy-0.6.4-2.1.x86_64.rpm 0.6.4 x86_64 openSUSE Oss
python2-pivy - - -

Requires

Name Value
libCoin.so.60 -
libSoQt.so.20 -
libc.so.6(GLIBC_2.4) -
libgcc_s.so.1 -
libgcc_s.so.1(GCC_3.0) -
libpython2.7.so.1.0 -
libstdc++.so.6 -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(CXXABI_1.3.8) -
libstdc++.so.6(CXXABI_1.3.9) -
libstdc++.so.6(GLIBCXX_3.4) -
python(abi) = 2.7

Provides

Name Value
python-pivy = 0.6.4-2.1
python2-pivy = 0.6.4-2.1
python2-pivy(x86-32) = 0.6.4-2.1

Obsoletes

Name Value
python-pivy < 0.6.4-2.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package python2-pivy-0.6.4-2.1.i586.rpm
Source Package python-pivy-0.6.4-2.1.src.rpm

Install Howto

Install python2-pivy rpm package:

# zypper install python2-pivy

Files

Path
/usr/lib/python2.7/site-packages/Pivy-0.6.4-py2.7.egg-info
/usr/lib/python2.7/site-packages/pivy/__init__.py
/usr/lib/python2.7/site-packages/pivy/__init__.pyc
/usr/lib/python2.7/site-packages/pivy/__init__.pyo
/usr/lib/python2.7/site-packages/pivy/_coin.so
/usr/lib/python2.7/site-packages/pivy/coin.py
/usr/lib/python2.7/site-packages/pivy/coin.pyc
/usr/lib/python2.7/site-packages/pivy/coin.pyo
/usr/lib/python2.7/site-packages/pivy/pivy_meta.py
/usr/lib/python2.7/site-packages/pivy/pivy_meta.pyc
/usr/lib/python2.7/site-packages/pivy/pivy_meta.pyo
/usr/lib/python2.7/site-packages/pivy/sogui.py
/usr/lib/python2.7/site-packages/pivy/sogui.pyc
/usr/lib/python2.7/site-packages/pivy/sogui.pyo
/usr/lib/python2.7/site-packages/pivy/utils.py
/usr/lib/python2.7/site-packages/pivy/utils.pyc
/usr/lib/python2.7/site-packages/pivy/utils.pyo
/usr/lib/python2.7/site-packages/pivy/graphics/__init__.py
/usr/lib/python2.7/site-packages/pivy/graphics/__init__.pyc
/usr/lib/python2.7/site-packages/pivy/graphics/__init__.pyo
/usr/lib/python2.7/site-packages/pivy/gui/__init__.py
/usr/lib/python2.7/site-packages/pivy/gui/__init__.pyc
/usr/lib/python2.7/site-packages/pivy/gui/__init__.pyo
/usr/lib/python2.7/site-packages/pivy/gui/_soqt.so
/usr/lib/python2.7/site-packages/pivy/gui/qt.py
/usr/lib/python2.7/site-packages/pivy/gui/qt.pyc
/usr/lib/python2.7/site-packages/pivy/gui/qt.pyo
/usr/lib/python2.7/site-packages/pivy/gui/soqt.py
/usr/lib/python2.7/site-packages/pivy/gui/soqt.pyc
/usr/lib/python2.7/site-packages/pivy/gui/soqt.pyo
/usr/lib/python2.7/site-packages/pivy/quarter/ContextMenu.py
/usr/lib/python2.7/site-packages/pivy/quarter/ContextMenu.pyc
/usr/lib/python2.7/site-packages/pivy/quarter/ContextMenu.pyo
/usr/lib/python2.7/site-packages/pivy/quarter/ImageReader.py
/usr/lib/python2.7/site-packages/pivy/quarter/ImageReader.pyc
/usr/lib/python2.7/site-packages/pivy/quarter/ImageReader.pyo
/usr/lib/python2.7/site-packages/pivy/quarter/QuarterWidget.py
/usr/lib/python2.7/site-packages/pivy/quarter/QuarterWidget.pyc
/usr/lib/python2.7/site-packages/pivy/quarter/QuarterWidget.pyo
/usr/lib/python2.7/site-packages/pivy/quarter/SensorManager.py
/usr/lib/python2.7/site-packages/pivy/quarter/SensorManager.pyc
/usr/lib/python2.7/site-packages/pivy/quarter/SensorManager.pyo
/usr/lib/python2.7/site-packages/pivy/quarter/SignalThread.py
/usr/lib/python2.7/site-packages/pivy/quarter/SignalThread.pyc
/usr/lib/python2.7/site-packages/pivy/quarter/SignalThread.pyo
/usr/lib/python2.7/site-packages/pivy/quarter/__init__.py
/usr/lib/python2.7/site-packages/pivy/quarter/__init__.pyc
/usr/lib/python2.7/site-packages/pivy/quarter/__init__.pyo
/usr/lib/python2.7/site-packages/pivy/quarter/devices/DeviceHandler.py
/usr/lib/python2.7/site-packages/pivy/quarter/devices/DeviceHandler.pyc
/usr/lib/python2.7/site-packages/pivy/quarter/devices/DeviceHandler.pyo
/usr/lib/python2.7/site-packages/pivy/quarter/devices/DeviceManager.py
/usr/lib/python2.7/site-packages/pivy/quarter/devices/DeviceManager.pyc
/usr/lib/python2.7/site-packages/pivy/quarter/devices/DeviceManager.pyo
/usr/lib/python2.7/site-packages/pivy/quarter/devices/KeyboardHandler.py
/usr/lib/python2.7/site-packages/pivy/quarter/devices/KeyboardHandler.pyc
/usr/lib/python2.7/site-packages/pivy/quarter/devices/KeyboardHandler.pyo
/usr/lib/python2.7/site-packages/pivy/quarter/devices/MouseHandler.py
/usr/lib/python2.7/site-packages/pivy/quarter/devices/MouseHandler.pyc
/usr/lib/python2.7/site-packages/pivy/quarter/devices/MouseHandler.pyo
/usr/lib/python2.7/site-packages/pivy/quarter/devices/__init__.py
/usr/lib/python2.7/site-packages/pivy/quarter/devices/__init__.pyc
/usr/lib/python2.7/site-packages/pivy/quarter/devices/__init__.pyo
/usr/lib/python2.7/site-packages/pivy/quarter/eventhandlers/DragDropHandler.py
/usr/lib/python2.7/site-packages/pivy/quarter/eventhandlers/DragDropHandler.pyc
/usr/lib/python2.7/site-packages/pivy/quarter/eventhandlers/DragDropHandler.pyo
/usr/lib/python2.7/site-packages/pivy/quarter/eventhandlers/EventHandler.py
/usr/lib/python2.7/site-packages/pivy/quarter/eventhandlers/EventHandler.pyc
/usr/lib/python2.7/site-packages/pivy/quarter/eventhandlers/EventHandler.pyo
/usr/lib/python2.7/site-packages/pivy/quarter/eventhandlers/EventManager.py
/usr/lib/python2.7/site-packages/pivy/quarter/eventhandlers/EventManager.pyc
/usr/lib/python2.7/site-packages/pivy/quarter/eventhandlers/EventManager.pyo
/usr/lib/python2.7/site-packages/pivy/quarter/eventhandlers/__init__.py
/usr/lib/python2.7/site-packages/pivy/quarter/eventhandlers/__init__.pyc
/usr/lib/python2.7/site-packages/pivy/quarter/eventhandlers/__init__.pyo
/usr/lib/python2.7/site-packages/pivy/quarter/plugins/
/usr/lib/python2.7/site-packages/pivy/quarter/plugins/designer/
/usr/lib/python2.7/site-packages/pivy/quarter/plugins/designer/python/PyQuarterWidgetPlugin.py
/usr/lib/python2.7/site-packages/pivy/quarter/plugins/designer/python/PyQuarterWidgetPlugin.pyc
/usr/lib/python2.7/site-packages/pivy/quarter/plugins/designer/python/PyQuarterWidgetPlugin.pyo
/usr/share/doc/packages/python2-pivy/AUTHORS
/usr/share/doc/packages/python2-pivy/HACKING
/usr/share/doc/packages/python2-pivy/NEWS
/usr/share/doc/packages/python2-pivy/README.md
/usr/share/doc/packages/python2-pivy/THANKS
/usr/share/licenses/python2-pivy/LICENSE

Changelog

2019-02-04 - Wolfgang Bauer <wbauer@tmo.at>
- Add Fix-issue-39-PyUnicode_AsUTF8-returns-const-char.patch to fix
build in Factory
2018-10-09 - Stefan BrĂ¼ns <stefan.bruens@rwth-aachen.de>
- Update to 0.6.3
* qt5-support (qt4 not supported anymore)
- Update to 0.6.4
* bool(coin.SoGroup) -> True (also if group is empty) [same behaviour as py2]
* add graphics arrow object
* making it possible to compile with older coin version (without cmake) -> setup_old.py
* adding back qt4 compatibility (but tests are still qt5 depenent)
* added pivy.version
* some fixes
- %python_expand call to fdupes
2018-01-03 - dev@stellardeath.org
- Fix build failure when using more than one python version:
swig wrapper files were only generated the first time and
and then kept for subsequent builds.
2017-12-16 - badshah400@gmail.com
- Convert specfile to python-singlespec: fixes build failures in
Factory. Doesn't build against python2 for unknown reasons, so
turn off python2 modules until this is fixed.
- Use fdupes (added to BuildRequires) to link duplicate files.
2017-09-14 - kkaempf@suse.com
- update to 0.6.2
* builds for python3 (linux: 3.4, 3.5, 3.6; win: 3.5, 3.6)
or python2 (2.7)
* uses pyside instead of pyqt for soqt4 bindings
* has many fixes (especially for FreeCAD)
- switch to github.com/FreeCAD/pivy, coin3d.org is dead
2012-05-05 - asterios.dramis@gmail.com
- Initial release (version 0.5.0hg.609).

See Also

Package Description
python2-pkgconfig-1.3.1-2.2.noarch.rpm Interface Python with pkg-config
python2-pkginfo-1.4.2-2.2.noarch.rpm Python package for querying metadatdata from sdists/bdists/installed packages
python2-plaster-0.5-1.4.noarch.rpm A loader interface around multiple config file formats
python2-plaster-pastedeploy-0.4.1-1.4.noarch.rpm A loader implementing the PasteDeploy syntax to be used by plaster
python2-plette-0.2.2-1.1.noarch.rpm Structured Pipfile and Pipfile.lock models
python2-plotly-3.5.0-1.2.noarch.rpm Library for collaborative, interactive, publication-quality graphs
python2-plotly-jupyter-3.5.0-1.2.noarch.rpm Jupyter notebook integration for python2-plotly
python2-pluggy-0.9.0-1.1.noarch.rpm Plugin registration and hook calling mechanisms for Python
python2-plumbum-1.6.6-2.2.noarch.rpm Shell combinators library
python2-ply-3.11-3.2.noarch.rpm Python Lex & Yacc
python2-plyvel-1.0.5-1.3.i586.rpm Python interface to LevelDB
python2-plyvel-1.0.5-1.3.x86_64.rpm Python interface to LevelDB
python2-pmw-2.0.1-3.2.noarch.rpm High-level compound widgets in Python using the Tkinter module
python2-pocketsphinx-0.8-3.1.i586.rpm Python bindings for pocketsphinx
python2-pocketsphinx-0.8-3.1.x86_64.rpm Python bindings for pocketsphinx
Advertisement
Advertisement